<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$SETTINGS = [
    // If true, PHP errors and warnings are outputted, screwing up the JSON.
    // Makes it easy to debug though!
    "debugmode" => true,
    // If this is true and the database isn't configured, everything crashes.
    // set to false if no endpoints require a database, or if Medoo isn't being used
    // to access the database.
    "require_database" => false,
    "database" => [
        "database_type" => "mysql",
        "database_name" => "mysql",
        "server" => "localhost",
        "username" => "root",
        "password" => "",
        "charset" => "utf8"
    ],
    // If memcached is available, enable it. Otherwise a non-persistent shim is used,
    // which is pointless. See lib/Memcache.lib.php.
    "memcached" => [
        "enable" => true,
        "server" => "127.0.0.1",
        "port" => 11211,
        "prefix" => "apiserver"
    ],
    // If this is running in a subfolder, set it accordingly or things will be strange
    // Include trailing slash
    "urlbase" => "/",


    // Third party API keys and configs for various endpoints go here
    "openweathermap_appid" => "",
    "weather_summary_hours" => 8,
    "darksky_apikey" => "",

    "mapquest_key" => "",
    "mapbox_key" => "",

    // MaxMind GeoIP2 database
    "geoip_database" => __DIR__ . "/resources/net.geoip/GeoLite2-City.mmdb",

    "usps_user_id" => "",
    "usps_source_id" => "",
    "ups_access_key" => "",
    "ups_user_account" => "",
    "ups_password" => "",
    "fedex_apikey" => "",
    "fedex_secret" => "",
    "shippo_key" => "",
    "easypost_key" => "",
];